Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.slice.jdbc
Class DistributedResultSet

    java.lang.Object
      org.apache.openjpa.slice.jdbc.DistributedResultSet

All Implemented Interfaces:
  ResultSet, Wrapper

    public class DistributedResultSet

extends Object
implements ResultSet

A chain of ResultSet. Assumes added ResultSet are identical in structure and fetches forward. Can not move absolutely or change fetch direction.

Author:
  Pinaki Poddar

Field Summary

Fields inherited from interface java.sql.ResultSet
`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

Constructor Summary
`DistributedResultSet()`

Method Summary
`boolean` | `absolute(int arg0)`
`void` | `add(ResultSet rs)` Adds the ResultSet only if it has rows.
`void` | `afterLast()`
`void` | `beforeFirst()`
`void` | `cancelRowUpdates()`
`void` | `clearWarnings()`
`void` | `close()`
`void` | `deleteRow()`
`int` | `findColumn(String arg0)`
`boolean` | `first()`
`Array` | `getArray(int arg0)`
`Array` | `getArray(String arg0)`
`InputStream` | `getAsciiStream(int arg0)`
`InputStream` | `getAsciiStream(String arg0)`
`BigDecimal` | `getBigDecimal(int arg0)`
`BigDecimal` | `getBigDecimal(int arg0, int arg1)`
`BigDecimal` | `getBigDecimal(String arg0)`
`BigDecimal` | `getBigDecimal(String arg0, int arg1)`
`InputStream` | `getBinaryStream(int arg0)`
`InputStream` | `getBinaryStream(String arg0)`
`Blob` | `getBlob(int arg0)`
`Blob` | `getBlob(String arg0)`
`boolean` | `getBoolean(int arg0)`
`boolean` | `getBoolean(String arg0)`
`byte` | `getByte(int arg0)`
`byte` | `getByte(String arg0)`
`byte[]` | `getBytes(int arg0)`
`byte[]` | `getBytes(String arg0)`
`Reader` | `getCharacterStream(int arg0)`
`Reader` | `getCharacterStream(String arg0)`
`Clob` | `getClob(int arg0)`
`Clob` | `getClob(String arg0)`
`int` | `getConcurrency()`
`String` | `getCursorName()`
`Date` | `getDate(int arg0)`
`Date` | `getDate(int arg0, Calendar arg1)`
`Date` | `getDate(String arg0)`
`Date` | `getDate(String arg0, Calendar arg1)`
`double` | `getDouble(int arg0)`
`double` | `getDouble(String arg0)`
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`float` | `getFloat(int arg0)`
`float` | `getFloat(String arg0)`
`int` | `getHoldability()`
`int` | `getInt(int arg0)`
`int` | `getInt(String arg0)`
`long` | `getLong(int arg0)`
`long` | `getLong(String arg0)`
`ResultSetMetaData` | `getMetaData()`
`Reader` | `getNCharacterStream(int arg0)`
`Reader` | `getNCharacterStream(String arg0)`
`NClob` | `getNClob(int arg0)`
`NClob` | `getNClob(String arg0)`
`String` | `getNString(int arg0)`
`String` | `getNString(String arg0)`
`Object` | `getObject(int arg0)`
`
`<T> T`
` | `getObject(int columnIndex, Class<T> type)`
`Object` | `getObject(int arg0, Map<String,Class<?>> arg1)`
`Object` | `getObject(String arg0)`
`
`<T> T`
` | `getObject(String columnLabel, Class<T> type)`
`Object` | `getObject(String arg0, Map<String,Class<?>> arg1)`
`Ref` | `getRef(int arg0)`
`Ref` | `getRef(String arg0)`
`int` | `getRow()`
`RowId` | `getRowId(int arg0)`
`RowId` | `getRowId(String arg0)`
`short` | `getShort(int arg0)`
`short` | `getShort(String arg0)`
`SQLXML` | `getSQLXML(int arg0)`
`SQLXML` | `getSQLXML(String arg0)`
`Statement` | `getStatement()`
`String` | `getString(int arg0)`
`String` | `getString(String arg0)`
`Time` | `getTime(int arg0)`
`Time` | `getTime(int arg0, Calendar arg1)`
`Time` | `getTime(String arg0)`
`Time` | `getTime(String arg0, Calendar arg1)`
`Timestamp` | `getTimestamp(int arg0)`
`Timestamp` | `getTimestamp(int arg0, Calendar arg1)`
`Timestamp` | `getTimestamp(String arg0)`
`Timestamp` | `getTimestamp(String arg0, Calendar arg1)`
`int` | `getType()`
`InputStream` | `getUnicodeStream(int arg0)`
`InputStream` | `getUnicodeStream(String arg0)`
`URL` | `getURL(int arg0)`
`URL` | `getURL(String arg0)`
`SQLWarning` | `getWarnings()`
`void` | `insertRow()`
`boolean` | `isAfterLast()`
`boolean` | `isBeforeFirst()`
`boolean` | `isClosed()`
`boolean` | `isFirst()`
`boolean` | `isLast()`
`boolean` | `isWrapperFor(Class<?> iface)`
`boolean` | `last()`
`void` | `moveToCurrentRow()`
`void` | `moveToInsertRow()`
`boolean` | `next()`
`boolean` | `previous()`
`void` | `refreshRow()`
`boolean` | `relative(int arg0)`
`boolean` | `rowDeleted()`
`boolean` | `rowInserted()`
`boolean` | `rowUpdated()`
`void` | `setFetchDirection(int arg0)`
`void` | `setFetchSize(int arg0)`
`
`<T> T`
` | `unwrap(Class<T> iface)`
`void` | `updateArray(int arg0, Array arg1)`
`void` | `updateArray(String arg0, Array arg1)`
`void` | `updateAsciiStream(int arg0, InputStream arg1)`
`void` | `updateAsciiStream(int arg0, InputStream arg1, int arg2)`
`void` | `updateAsciiStream(int arg0, InputStream arg1, long arg2)`
`void` | `updateAsciiStream(String arg0, InputStream arg1)`
`void` | `updateAsciiStream(String arg0, InputStream arg1, int arg2)`
`void` | `updateAsciiStream(String arg0, InputStream arg1, long arg2)`
`void` | `updateBigDecimal(int arg0, BigDecimal arg1)`
`void` | `updateBigDecimal(String arg0, BigDecimal arg1)`
`void` | `updateBinaryStream(int arg0, InputStream arg1)`
`void` | `updateBinaryStream(int arg0, InputStream arg1, int arg2)`
`void` | `updateBinaryStream(int arg0, InputStream arg1, long arg2)`
`void` | `updateBinaryStream(String arg0, InputStream arg1)`
`void` | `updateBinaryStream(String arg0, InputStream arg1, int arg2)`
`void` | `updateBinaryStream(String arg0, InputStream arg1, long arg2)`
`void` | `updateBlob(int arg0, Blob arg1)`
`void` | `updateBlob(int arg0, InputStream arg1)`
`void` | `updateBlob(int arg0, InputStream arg1, long arg2)`
`void` | `updateBlob(String arg0, Blob arg1)`
`void` | `updateBlob(String arg0, InputStream arg1)`
`void` | `updateBlob(String arg0, InputStream arg1, long arg2)`
`void` | `updateBoolean(int arg0, boolean arg1)`
`void` | `updateBoolean(String arg0, boolean arg1)`
`void` | `updateByte(int arg0, byte arg1)`
`void` | `updateByte(String arg0, byte arg1)`
`void` | `updateBytes(int arg0, byte[] arg1)`
`void` | `updateBytes(String arg0, byte[] arg1)`
`void` | `updateCharacterStream(int arg0, Reader arg1)`
`void` | `updateCharacterStream(int arg0, Reader arg1, int arg2)`
`void` | `updateCharacterStream(int arg0, Reader arg1, long arg2)`
`void` | `updateCharacterStream(String arg0, Reader arg1)`
`void` | `updateCharacterStream(String arg0, Reader arg1, int arg2)`
`void` | `updateCharacterStream(String arg0, Reader arg1, long arg2)`
`void` | `updateClob(int arg0, Clob arg1)`
`void` | `updateClob(int arg0, Reader arg1)`
`void` | `updateClob(int arg0, Reader arg1, long arg2)`
`void` | `updateClob(String arg0, Clob arg1)`
`void` | `updateClob(String arg0, Reader arg1)`
`void` | `updateClob(String arg0, Reader arg1, long arg2)`
`void` | `updateDate(int arg0, Date arg1)`
`void` | `updateDate(String arg0, Date arg1)`
`void` | `updateDouble(int arg0, double arg1)`
`void` | `updateDouble(String arg0, double arg1)`
`void` | `updateFloat(int arg0, float arg1)`
`void` | `updateFloat(String arg0, float arg1)`
`void` | `updateInt(int arg0, int arg1)`
`void` | `updateInt(String arg0, int arg1)`
`void` | `updateLong(int arg0, long arg1)`
`void` | `updateLong(String arg0, long arg1)`
`void` | `updateNCharacterStream(int arg0, Reader arg1)`
`void` | `updateNCharacterStream(int arg0, Reader arg1, long arg2)`
`void` | `updateNCharacterStream(String arg0, Reader arg1)`
`void` | `updateNCharacterStream(String arg0, Reader arg1, long arg2)`
`void` | `updateNClob(int arg0, NClob arg1)`
`void` | `updateNClob(int arg0, Reader arg1)`
`void` | `updateNClob(int arg0, Reader arg1, long arg2)`
`void` | `updateNClob(String arg0, NClob arg1)`
`void` | `updateNClob(String arg0, Reader arg1)`
`void` | `updateNClob(String arg0, Reader arg1, long arg2)`
`void` | `updateNString(int arg0, String arg1)`
`void` | `updateNString(String arg0, String arg1)`
`void` | `updateNull(int arg0)`
`void` | `updateNull(String arg0)`
`void` | `updateObject(int arg0, Object arg1)`
`void` | `updateObject(int arg0, Object arg1, int arg2)`
`void` | `updateObject(String arg0, Object arg1)`
`void` | `updateObject(String arg0, Object arg1, int arg2)`
`void` | `updateRef(int arg0, Ref arg1)`
`void` | `updateRef(String arg0, Ref arg1)`
`void` | `updateRow()`
`void` | `updateRowId(int arg0, RowId arg1)`
`void` | `updateRowId(String arg0, RowId arg1)`
`void` | `updateShort(int arg0, short arg1)`
`void` | `updateShort(String arg0, short arg1)`
`void` | `updateSQLXML(int arg0, SQLXML arg1)`
`void` | `updateSQLXML(String arg0, SQLXML arg1)`
`void` | `updateString(int arg0, String arg1)`
`void` | `updateString(String arg0, String arg1)`
`void` | `updateTime(int arg0, Time arg1)`
`void` | `updateTime(String arg0, Time arg1)`
`void` | `updateTimestamp(int arg0, Timestamp arg1)`
`void` | `updateTimestamp(String arg0, Timestamp arg1)`
`boolean` | `wasNull()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistributedResultSet

    public DistributedResultSet()

Method Detail

### add

    public void add(ResultSet rs)

  Adds the ResultSet only if it has rows.

### absolute

    public boolean absolute(int arg0)
                     throws SQLException

  Specified by:
    `absolute` in interface `ResultSet`
  Throws:
    `SQLException`

### afterLast

    public void afterLast()
                   throws SQLException

  Specified by:
    `afterLast` in interface `ResultSet`
  Throws:
    `SQLException`

### beforeFirst

    public void beforeFirst()
                     throws SQLException

  Specified by:
    `beforeFirst` in interface `ResultSet`
  Throws:
    `SQLException`

### cancelRowUpdates

    public void cancelRowUpdates()
                          throws SQLException

  Specified by:
    `cancelRowUpdates` in interface `ResultSet`
  Throws:
    `SQLException`

### clearWarnings

    public void clearWarnings()
                       throws SQLException

  Specified by:
    `clearWarnings` in interface `ResultSet`
  Throws:
    `SQLException`

### close

    public void close()
               throws SQLException

  Specified by:
    `close` in interface `ResultSet`
  Throws:
    `SQLException`

### deleteRow

    public void deleteRow()
                   throws SQLException

  Specified by:
    `deleteRow` in interface `ResultSet`
  Throws:
    `SQLException`

### findColumn

    public int findColumn(String arg0)
                   throws SQLException

  Specified by:
    `findColumn` in interface `ResultSet`
  Throws:
    `SQLException`

### first

    public boolean first()
                  throws SQLException

  Specified by:
    `first` in interface `ResultSet`
  Throws:
    `SQLException`

### getArray

    public Array getArray(int arg0)
                   throws SQLException

  Specified by:
    `getArray` in interface `ResultSet`
  Throws:
    `SQLException`

### getArray

    public Array getArray(String arg0)
                   throws SQLException

  Specified by:
    `getArray` in interface `ResultSet`
  Throws:
    `SQLException`

### getAsciiStream

    public InputStream getAsciiStream(int arg0)
                               throws SQLException

  Specified by:
    `getAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getAsciiStream

    public InputStream getAsciiStream(String arg0)
                               throws SQLException

  Specified by:
    `getAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getBigDecimal

    public BigDecimal getBigDecimal(int arg0)
                             throws SQLException

  Specified by:
    `getBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`

### getBigDecimal

    public BigDecimal getBigDecimal(String arg0)
                             throws SQLException

  Specified by:
    `getBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`

### getBigDecimal

    public BigDecimal getBigDecimal(int arg0,
                                    int arg1)
                             throws SQLException

  Specified by:
    `getBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`

### getBigDecimal

    public BigDecimal getBigDecimal(String arg0,
                                    int arg1)
                             throws SQLException

  Specified by:
    `getBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`

### getBinaryStream

    public InputStream getBinaryStream(int arg0)
                                throws SQLException

  Specified by:
    `getBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getBinaryStream

    public InputStream getBinaryStream(String arg0)
                                throws SQLException

  Specified by:
    `getBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getBlob

    public Blob getBlob(int arg0)
                 throws SQLException

  Specified by:
    `getBlob` in interface `ResultSet`
  Throws:
    `SQLException`

### getBlob

    public Blob getBlob(String arg0)
                 throws SQLException

  Specified by:
    `getBlob` in interface `ResultSet`
  Throws:
    `SQLException`

### getBoolean

    public boolean getBoolean(int arg0)
                       throws SQLException

  Specified by:
    `getBoolean` in interface `ResultSet`
  Throws:
    `SQLException`

### getBoolean

    public boolean getBoolean(String arg0)
                       throws SQLException

  Specified by:
    `getBoolean` in interface `ResultSet`
  Throws:
    `SQLException`

### getByte

    public byte getByte(int arg0)
                 throws SQLException

  Specified by:
    `getByte` in interface `ResultSet`
  Throws:
    `SQLException`

### getByte

    public byte getByte(String arg0)
                 throws SQLException

  Specified by:
    `getByte` in interface `ResultSet`
  Throws:
    `SQLException`

### getBytes

    public byte[] getBytes(int arg0)
                    throws SQLException

  Specified by:
    `getBytes` in interface `ResultSet`
  Throws:
    `SQLException`

### getBytes

    public byte[] getBytes(String arg0)
                    throws SQLException

  Specified by:
    `getBytes` in interface `ResultSet`
  Throws:
    `SQLException`

### getCharacterStream

    public Reader getCharacterStream(int arg0)
                              throws SQLException

  Specified by:
    `getCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getCharacterStream

    public Reader getCharacterStream(String arg0)
                              throws SQLException

  Specified by:
    `getCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getClob

    public Clob getClob(int arg0)
                 throws SQLException

  Specified by:
    `getClob` in interface `ResultSet`
  Throws:
    `SQLException`

### getClob

    public Clob getClob(String arg0)
                 throws SQLException

  Specified by:
    `getClob` in interface `ResultSet`
  Throws:
    `SQLException`

### getConcurrency

    public int getConcurrency()
                       throws SQLException

  Specified by:
    `getConcurrency` in interface `ResultSet`
  Throws:
    `SQLException`

### getCursorName

    public String getCursorName()
                         throws SQLException

  Specified by:
    `getCursorName` in interface `ResultSet`
  Throws:
    `SQLException`

### getDate

    public Date getDate(int arg0)
                 throws SQLException

  Specified by:
    `getDate` in interface `ResultSet`
  Throws:
    `SQLException`

### getDate

    public Date getDate(String arg0)
                 throws SQLException

  Specified by:
    `getDate` in interface `ResultSet`
  Throws:
    `SQLException`

### getDate

    public Date getDate(int arg0,
                        Calendar arg1)
                 throws SQLException

  Specified by:
    `getDate` in interface `ResultSet`
  Throws:
    `SQLException`

### getDate

    public Date getDate(String arg0,
                        Calendar arg1)
                 throws SQLException

  Specified by:
    `getDate` in interface `ResultSet`
  Throws:
    `SQLException`

### getDouble

    public double getDouble(int arg0)
                     throws SQLException

  Specified by:
    `getDouble` in interface `ResultSet`
  Throws:
    `SQLException`

### getDouble

    public double getDouble(String arg0)
                     throws SQLException

  Specified by:
    `getDouble` in interface `ResultSet`
  Throws:
    `SQLException`

### getFetchDirection

    public int getFetchDirection()
                          throws SQLException

  Specified by:
    `getFetchDirection` in interface `ResultSet`
  Throws:
    `SQLException`

### getFetchSize

    public int getFetchSize()
                     throws SQLException

  Specified by:
    `getFetchSize` in interface `ResultSet`
  Throws:
    `SQLException`

### getFloat

    public float getFloat(int arg0)
                   throws SQLException

  Specified by:
    `getFloat` in interface `ResultSet`
  Throws:
    `SQLException`

### getFloat

    public float getFloat(String arg0)
                   throws SQLException

  Specified by:
    `getFloat` in interface `ResultSet`
  Throws:
    `SQLException`

### getInt

    public int getInt(int arg0)
               throws SQLException

  Specified by:
    `getInt` in interface `ResultSet`
  Throws:
    `SQLException`

### getInt

    public int getInt(String arg0)
               throws SQLException

  Specified by:
    `getInt` in interface `ResultSet`
  Throws:
    `SQLException`

### getLong

    public long getLong(int arg0)
                 throws SQLException

  Specified by:
    `getLong` in interface `ResultSet`
  Throws:
    `SQLException`

### getLong

    public long getLong(String arg0)
                 throws SQLException

  Specified by:
    `getLong` in interface `ResultSet`
  Throws:
    `SQLException`

### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

  Specified by:
    `getMetaData` in interface `ResultSet`
  Throws:
    `SQLException`

### getObject

    public Object getObject(int arg0)
                     throws SQLException

  Specified by:
    `getObject` in interface `ResultSet`
  Throws:
    `SQLException`

### getObject

    public Object getObject(String arg0)
                     throws SQLException

  Specified by:
    `getObject` in interface `ResultSet`
  Throws:
    `SQLException`

### getObject

    public Object getObject(int arg0,
                            Map<String,Class<?>> arg1)
                     throws SQLException

  Specified by:
    `getObject` in interface `ResultSet`
  Throws:
    `SQLException`

### getObject

    public Object getObject(String arg0,
                            Map<String,Class<?>> arg1)
                     throws SQLException

  Specified by:
    `getObject` in interface `ResultSet`
  Throws:
    `SQLException`

### getRef

    public Ref getRef(int arg0)
               throws SQLException

  Specified by:
    `getRef` in interface `ResultSet`
  Throws:
    `SQLException`

### getRef

    public Ref getRef(String arg0)
               throws SQLException

  Specified by:
    `getRef` in interface `ResultSet`
  Throws:
    `SQLException`

### getRow

    public int getRow()
               throws SQLException

  Specified by:
    `getRow` in interface `ResultSet`
  Throws:
    `SQLException`

### getShort

    public short getShort(int arg0)
                   throws SQLException

  Specified by:
    `getShort` in interface `ResultSet`
  Throws:
    `SQLException`

### getShort

    public short getShort(String arg0)
                   throws SQLException

  Specified by:
    `getShort` in interface `ResultSet`
  Throws:
    `SQLException`

### getStatement

    public Statement getStatement()
                           throws SQLException

  Specified by:
    `getStatement` in interface `ResultSet`
  Throws:
    `SQLException`

### getString

    public String getString(int arg0)
                     throws SQLException

  Specified by:
    `getString` in interface `ResultSet`
  Throws:
    `SQLException`

### getString

    public String getString(String arg0)
                     throws SQLException

  Specified by:
    `getString` in interface `ResultSet`
  Throws:
    `SQLException`

### getTime

    public Time getTime(int arg0)
                 throws SQLException

  Specified by:
    `getTime` in interface `ResultSet`
  Throws:
    `SQLException`

### getTime

    public Time getTime(String arg0)
                 throws SQLException

  Specified by:
    `getTime` in interface `ResultSet`
  Throws:
    `SQLException`

### getTime

    public Time getTime(int arg0,
                        Calendar arg1)
                 throws SQLException

  Specified by:
    `getTime` in interface `ResultSet`
  Throws:
    `SQLException`

### getTime

    public Time getTime(String arg0,
                        Calendar arg1)
                 throws SQLException

  Specified by:
    `getTime` in interface `ResultSet`
  Throws:
    `SQLException`

### getTimestamp

    public Timestamp getTimestamp(int arg0)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`

### getTimestamp

    public Timestamp getTimestamp(String arg0)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`

### getTimestamp

    public Timestamp getTimestamp(int arg0,
                                  Calendar arg1)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`

### getTimestamp

    public Timestamp getTimestamp(String arg0,
                                  Calendar arg1)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`

### getType

    public int getType()
                throws SQLException

  Specified by:
    `getType` in interface `ResultSet`
  Throws:
    `SQLException`

### getURL

    public URL getURL(int arg0)
               throws SQLException

  Specified by:
    `getURL` in interface `ResultSet`
  Throws:
    `SQLException`

### getURL

    public URL getURL(String arg0)
               throws SQLException

  Specified by:
    `getURL` in interface `ResultSet`
  Throws:
    `SQLException`

### getUnicodeStream

    public InputStream getUnicodeStream(int arg0)
                                 throws SQLException

  Specified by:
    `getUnicodeStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getUnicodeStream

    public InputStream getUnicodeStream(String arg0)
                                 throws SQLException

  Specified by:
    `getUnicodeStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getWarnings

    public SQLWarning getWarnings()
                           throws SQLException

  Specified by:
    `getWarnings` in interface `ResultSet`
  Throws:
    `SQLException`

### insertRow

    public void insertRow()
                   throws SQLException

  Specified by:
    `insertRow` in interface `ResultSet`
  Throws:
    `SQLException`

### isAfterLast

    public boolean isAfterLast()
                        throws SQLException

  Specified by:
    `isAfterLast` in interface `ResultSet`
  Throws:
    `SQLException`

### isBeforeFirst

    public boolean isBeforeFirst()
                          throws SQLException

  Specified by:
    `isBeforeFirst` in interface `ResultSet`
  Throws:
    `SQLException`

### isFirst

    public boolean isFirst()
                    throws SQLException

  Specified by:
    `isFirst` in interface `ResultSet`
  Throws:
    `SQLException`

### isLast

    public boolean isLast()
                   throws SQLException

  Specified by:
    `isLast` in interface `ResultSet`
  Throws:
    `SQLException`

### last

    public boolean last()
                 throws SQLException

  Specified by:
    `last` in interface `ResultSet`
  Throws:
    `SQLException`

### moveToCurrentRow

    public void moveToCurrentRow()
                          throws SQLException

  Specified by:
    `moveToCurrentRow` in interface `ResultSet`
  Throws:
    `SQLException`

### moveToInsertRow

    public void moveToInsertRow()
                         throws SQLException

  Specified by:
    `moveToInsertRow` in interface `ResultSet`
  Throws:
    `SQLException`

### next

    public boolean next()
                 throws SQLException

  Specified by:
    `next` in interface `ResultSet`
  Throws:
    `SQLException`

### previous

    public boolean previous()
                     throws SQLException

  Specified by:
    `previous` in interface `ResultSet`
  Throws:
    `SQLException`

### refreshRow

    public void refreshRow()
                    throws SQLException

  Specified by:
    `refreshRow` in interface `ResultSet`
  Throws:
    `SQLException`

### relative

    public boolean relative(int arg0)
                     throws SQLException

  Specified by:
    `relative` in interface `ResultSet`
  Throws:
    `SQLException`

### rowDeleted

    public boolean rowDeleted()
                       throws SQLException

  Specified by:
    `rowDeleted` in interface `ResultSet`
  Throws:
    `SQLException`

### rowInserted

    public boolean rowInserted()
                        throws SQLException

  Specified by:
    `rowInserted` in interface `ResultSet`
  Throws:
    `SQLException`

### rowUpdated

    public boolean rowUpdated()
                       throws SQLException

  Specified by:
    `rowUpdated` in interface `ResultSet`
  Throws:
    `SQLException`

### setFetchDirection

    public void setFetchDirection(int arg0)
                           throws SQLException

  Specified by:
    `setFetchDirection` in interface `ResultSet`
  Throws:
    `SQLException`

### setFetchSize

    public void setFetchSize(int arg0)
                      throws SQLException

  Specified by:
    `setFetchSize` in interface `ResultSet`
  Throws:
    `SQLException`

### updateArray

    public void updateArray(int arg0,
                            Array arg1)
                     throws SQLException

  Specified by:
    `updateArray` in interface `ResultSet`
  Throws:
    `SQLException`

### updateArray

    public void updateArray(String arg0,
                            Array arg1)
                     throws SQLException

  Specified by:
    `updateArray` in interface `ResultSet`
  Throws:
    `SQLException`

### updateAsciiStream

    public void updateAsciiStream(int arg0,
                                  InputStream arg1,
                                  int arg2)
                           throws SQLException

  Specified by:
    `updateAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateAsciiStream

    public void updateAsciiStream(String arg0,
                                  InputStream arg1,
                                  int arg2)
                           throws SQLException

  Specified by:
    `updateAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBigDecimal

    public void updateBigDecimal(int arg0,
                                 BigDecimal arg1)
                          throws SQLException

  Specified by:
    `updateBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBigDecimal

    public void updateBigDecimal(String arg0,
                                 BigDecimal arg1)
                          throws SQLException

  Specified by:
    `updateBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBinaryStream

    public void updateBinaryStream(int arg0,
                                   InputStream arg1,
                                   int arg2)
                            throws SQLException

  Specified by:
    `updateBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBinaryStream

    public void updateBinaryStream(String arg0,
                                   InputStream arg1,
                                   int arg2)
                            throws SQLException

  Specified by:
    `updateBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBlob

    public void updateBlob(int arg0,
                           Blob arg1)
                    throws SQLException

  Specified by:
    `updateBlob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBlob

    public void updateBlob(String arg0,
                           Blob arg1)
                    throws SQLException

  Specified by:
    `updateBlob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBoolean

    public void updateBoolean(int arg0,
                              boolean arg1)
                       throws SQLException

  Specified by:
    `updateBoolean` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBoolean

    public void updateBoolean(String arg0,
                              boolean arg1)
                       throws SQLException

  Specified by:
    `updateBoolean` in interface `ResultSet`
  Throws:
    `SQLException`

### updateByte

    public void updateByte(int arg0,
                           byte arg1)
                    throws SQLException

  Specified by:
    `updateByte` in interface `ResultSet`
  Throws:
    `SQLException`

### updateByte

    public void updateByte(String arg0,
                           byte arg1)
                    throws SQLException

  Specified by:
    `updateByte` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBytes

    public void updateBytes(int arg0,
                            byte[] arg1)
                     throws SQLException

  Specified by:
    `updateBytes` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBytes

    public void updateBytes(String arg0,
                            byte[] arg1)
                     throws SQLException

  Specified by:
    `updateBytes` in interface `ResultSet`
  Throws:
    `SQLException`

### updateCharacterStream

    public void updateCharacterStream(int arg0,
                                      Reader arg1,
                                      int arg2)
                               throws SQLException

  Specified by:
    `updateCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateCharacterStream

    public void updateCharacterStream(String arg0,
                                      Reader arg1,
                                      int arg2)
                               throws SQLException

  Specified by:
    `updateCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateClob

    public void updateClob(int arg0,
                           Clob arg1)
                    throws SQLException

  Specified by:
    `updateClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateClob

    public void updateClob(String arg0,
                           Clob arg1)
                    throws SQLException

  Specified by:
    `updateClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateDate

    public void updateDate(int arg0,
                           Date arg1)
                    throws SQLException

  Specified by:
    `updateDate` in interface `ResultSet`
  Throws:
    `SQLException`

### updateDate

    public void updateDate(String arg0,
                           Date arg1)
                    throws SQLException

  Specified by:
    `updateDate` in interface `ResultSet`
  Throws:
    `SQLException`

### updateDouble

    public void updateDouble(int arg0,
                             double arg1)
                      throws SQLException

  Specified by:
    `updateDouble` in interface `ResultSet`
  Throws:
    `SQLException`

### updateDouble

    public void updateDouble(String arg0,
                             double arg1)
                      throws SQLException

  Specified by:
    `updateDouble` in interface `ResultSet`
  Throws:
    `SQLException`

### updateFloat

    public void updateFloat(int arg0,
                            float arg1)
                     throws SQLException

  Specified by:
    `updateFloat` in interface `ResultSet`
  Throws:
    `SQLException`

### updateFloat

    public void updateFloat(String arg0,
                            float arg1)
                     throws SQLException

  Specified by:
    `updateFloat` in interface `ResultSet`
  Throws:
    `SQLException`

### updateInt

    public void updateInt(int arg0,
                          int arg1)
                   throws SQLException

  Specified by:
    `updateInt` in interface `ResultSet`
  Throws:
    `SQLException`

### updateInt

    public void updateInt(String arg0,
                          int arg1)
                   throws SQLException

  Specified by:
    `updateInt` in interface `ResultSet`
  Throws:
    `SQLException`

### updateLong

    public void updateLong(int arg0,
                           long arg1)
                    throws SQLException

  Specified by:
    `updateLong` in interface `ResultSet`
  Throws:
    `SQLException`

### updateLong

    public void updateLong(String arg0,
                           long arg1)
                    throws SQLException

  Specified by:
    `updateLong` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNull

    public void updateNull(int arg0)
                    throws SQLException

  Specified by:
    `updateNull` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNull

    public void updateNull(String arg0)
                    throws SQLException

  Specified by:
    `updateNull` in interface `ResultSet`
  Throws:
    `SQLException`

### updateObject

    public void updateObject(int arg0,
                             Object arg1)
                      throws SQLException

  Specified by:
    `updateObject` in interface `ResultSet`
  Throws:
    `SQLException`

### updateObject

    public void updateObject(String arg0,
                             Object arg1)
                      throws SQLException

  Specified by:
    `updateObject` in interface `ResultSet`
  Throws:
    `SQLException`

### updateObject

    public void updateObject(int arg0,
                             Object arg1,
                             int arg2)
                      throws SQLException

  Specified by:
    `updateObject` in interface `ResultSet`
  Throws:
    `SQLException`

### updateObject

    public void updateObject(String arg0,
                             Object arg1,
                             int arg2)
                      throws SQLException

  Specified by:
    `updateObject` in interface `ResultSet`
  Throws:
    `SQLException`

### updateRef

    public void updateRef(int arg0,
                          Ref arg1)
                   throws SQLException

  Specified by:
    `updateRef` in interface `ResultSet`
  Throws:
    `SQLException`

### updateRef

    public void updateRef(String arg0,
                          Ref arg1)
                   throws SQLException

  Specified by:
    `updateRef` in interface `ResultSet`
  Throws:
    `SQLException`

### updateRow

    public void updateRow()
                   throws SQLException

  Specified by:
    `updateRow` in interface `ResultSet`
  Throws:
    `SQLException`

### updateShort

    public void updateShort(int arg0,
                            short arg1)
                     throws SQLException

  Specified by:
    `updateShort` in interface `ResultSet`
  Throws:
    `SQLException`

### updateShort

    public void updateShort(String arg0,
                            short arg1)
                     throws SQLException

  Specified by:
    `updateShort` in interface `ResultSet`
  Throws:
    `SQLException`

### updateString

    public void updateString(int arg0,
                             String arg1)
                      throws SQLException

  Specified by:
    `updateString` in interface `ResultSet`
  Throws:
    `SQLException`

### updateString

    public void updateString(String arg0,
                             String arg1)
                      throws SQLException

  Specified by:
    `updateString` in interface `ResultSet`
  Throws:
    `SQLException`

### updateTime

    public void updateTime(int arg0,
                           Time arg1)
                    throws SQLException

  Specified by:
    `updateTime` in interface `ResultSet`
  Throws:
    `SQLException`

### updateTime

    public void updateTime(String arg0,
                           Time arg1)
                    throws SQLException

  Specified by:
    `updateTime` in interface `ResultSet`
  Throws:
    `SQLException`

### updateTimestamp

    public void updateTimestamp(int arg0,
                                Timestamp arg1)
                         throws SQLException

  Specified by:
    `updateTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`

### updateTimestamp

    public void updateTimestamp(String arg0,
                                Timestamp arg1)
                         throws SQLException

  Specified by:
    `updateTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`

### wasNull

    public boolean wasNull()
                    throws SQLException

  Specified by:
    `wasNull` in interface `ResultSet`
  Throws:
    `SQLException`

### isWrapperFor

    public boolean isWrapperFor(Class<?> iface)
                         throws SQLException

  Specified by:
    `isWrapperFor` in interface `Wrapper`
  Throws:
    `SQLException`

### unwrap

    public <T> T unwrap(Class<T> iface)
             throws SQLException

  Specified by:
    `unwrap` in interface `Wrapper`
  Throws:
    `SQLException`

### getHoldability

    public int getHoldability()
                       throws SQLException

  Specified by:
    `getHoldability` in interface `ResultSet`
  Throws:
    `SQLException`

### getNCharacterStream

    public Reader getNCharacterStream(int arg0)
                               throws SQLException

  Specified by:
    `getNCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getNCharacterStream

    public Reader getNCharacterStream(String arg0)
                               throws SQLException

  Specified by:
    `getNCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getNClob

    public NClob getNClob(int arg0)
                   throws SQLException

  Specified by:
    `getNClob` in interface `ResultSet`
  Throws:
    `SQLException`

### getNClob

    public NClob getNClob(String arg0)
                   throws SQLException

  Specified by:
    `getNClob` in interface `ResultSet`
  Throws:
    `SQLException`

### getNString

    public String getNString(int arg0)
                      throws SQLException

  Specified by:
    `getNString` in interface `ResultSet`
  Throws:
    `SQLException`

### getNString

    public String getNString(String arg0)
                      throws SQLException

  Specified by:
    `getNString` in interface `ResultSet`
  Throws:
    `SQLException`

### getRowId

    public RowId getRowId(int arg0)
                   throws SQLException

  Specified by:
    `getRowId` in interface `ResultSet`
  Throws:
    `SQLException`

### getRowId

    public RowId getRowId(String arg0)
                   throws SQLException

  Specified by:
    `getRowId` in interface `ResultSet`
  Throws:
    `SQLException`

### getSQLXML

    public SQLXML getSQLXML(int arg0)
                     throws SQLException

  Specified by:
    `getSQLXML` in interface `ResultSet`
  Throws:
    `SQLException`

### getSQLXML

    public SQLXML getSQLXML(String arg0)
                     throws SQLException

  Specified by:
    `getSQLXML` in interface `ResultSet`
  Throws:
    `SQLException`

### isClosed

    public boolean isClosed()
                     throws SQLException

  Specified by:
    `isClosed` in interface `ResultSet`
  Throws:
    `SQLException`

### updateAsciiStream

    public void updateAsciiStream(int arg0,
                                  InputStream arg1)
                           throws SQLException

  Specified by:
    `updateAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateAsciiStream

    public void updateAsciiStream(String arg0,
                                  InputStream arg1)
                           throws SQLException

  Specified by:
    `updateAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateAsciiStream

    public void updateAsciiStream(int arg0,
                                  InputStream arg1,
                                  long arg2)
                           throws SQLException

  Specified by:
    `updateAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateAsciiStream

    public void updateAsciiStream(String arg0,
                                  InputStream arg1,
                                  long arg2)
                           throws SQLException

  Specified by:
    `updateAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBinaryStream

    public void updateBinaryStream(int arg0,
                                   InputStream arg1)
                            throws SQLException

  Specified by:
    `updateBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBinaryStream

    public void updateBinaryStream(String arg0,
                                   InputStream arg1)
                            throws SQLException

  Specified by:
    `updateBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBinaryStream

    public void updateBinaryStream(int arg0,
                                   InputStream arg1,
                                   long arg2)
                            throws SQLException

  Specified by:
    `updateBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBinaryStream

    public void updateBinaryStream(String arg0,
                                   InputStream arg1,
                                   long arg2)
                            throws SQLException

  Specified by:
    `updateBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBlob

    public void updateBlob(int arg0,
                           InputStream arg1)
                    throws SQLException

  Specified by:
    `updateBlob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBlob

    public void updateBlob(String arg0,
                           InputStream arg1)
                    throws SQLException

  Specified by:
    `updateBlob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBlob

    public void updateBlob(int arg0,
                           InputStream arg1,
                           long arg2)
                    throws SQLException

  Specified by:
    `updateBlob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBlob

    public void updateBlob(String arg0,
                           InputStream arg1,
                           long arg2)
                    throws SQLException

  Specified by:
    `updateBlob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateCharacterStream

    public void updateCharacterStream(int arg0,
                                      Reader arg1)
                               throws SQLException

  Specified by:
    `updateCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateCharacterStream

    public void updateCharacterStream(String arg0,
                                      Reader arg1)
                               throws SQLException

  Specified by:
    `updateCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateCharacterStream

    public void updateCharacterStream(int arg0,
                                      Reader arg1,
                                      long arg2)
                               throws SQLException

  Specified by:
    `updateCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateCharacterStream

    public void updateCharacterStream(String arg0,
                                      Reader arg1,
                                      long arg2)
                               throws SQLException

  Specified by:
    `updateCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateClob

    public void updateClob(int arg0,
                           Reader arg1)
                    throws SQLException

  Specified by:
    `updateClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateClob

    public void updateClob(String arg0,
                           Reader arg1)
                    throws SQLException

  Specified by:
    `updateClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateClob

    public void updateClob(int arg0,
                           Reader arg1,
                           long arg2)
                    throws SQLException

  Specified by:
    `updateClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateClob

    public void updateClob(String arg0,
                           Reader arg1,
                           long arg2)
                    throws SQLException

  Specified by:
    `updateClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNCharacterStream

    public void updateNCharacterStream(int arg0,
                                       Reader arg1)
                                throws SQLException

  Specified by:
    `updateNCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNCharacterStream

    public void updateNCharacterStream(String arg0,
                                       Reader arg1)
                                throws SQLException

  Specified by:
    `updateNCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNCharacterStream

    public void updateNCharacterStream(int arg0,
                                       Reader arg1,
                                       long arg2)
                                throws SQLException

  Specified by:
    `updateNCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNCharacterStream

    public void updateNCharacterStream(String arg0,
                                       Reader arg1,
                                       long arg2)
                                throws SQLException

  Specified by:
    `updateNCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNClob

    public void updateNClob(int arg0,
                            NClob arg1)
                     throws SQLException

  Specified by:
    `updateNClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNClob

    public void updateNClob(String arg0,
                            NClob arg1)
                     throws SQLException

  Specified by:
    `updateNClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNClob

    public void updateNClob(int arg0,
                            Reader arg1)
                     throws SQLException

  Specified by:
    `updateNClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNClob

    public void updateNClob(String arg0,
                            Reader arg1)
                     throws SQLException

  Specified by:
    `updateNClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNClob

    public void updateNClob(int arg0,
                            Reader arg1,
                            long arg2)
                     throws SQLException

  Specified by:
    `updateNClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNClob

    public void updateNClob(String arg0,
                            Reader arg1,
                            long arg2)
                     throws SQLException

  Specified by:
    `updateNClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNString

    public void updateNString(int arg0,
                              String arg1)
                       throws SQLException

  Specified by:
    `updateNString` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNString

    public void updateNString(String arg0,
                              String arg1)
                       throws SQLException

  Specified by:
    `updateNString` in interface `ResultSet`
  Throws:
    `SQLException`

### updateRowId

    public void updateRowId(int arg0,
                            RowId arg1)
                     throws SQLException

  Specified by:
    `updateRowId` in interface `ResultSet`
  Throws:
    `SQLException`

### updateRowId

    public void updateRowId(String arg0,
                            RowId arg1)
                     throws SQLException

  Specified by:
    `updateRowId` in interface `ResultSet`
  Throws:
    `SQLException`

### updateSQLXML

    public void updateSQLXML(int arg0,
                             SQLXML arg1)
                      throws SQLException

  Specified by:
    `updateSQLXML` in interface `ResultSet`
  Throws:
    `SQLException`

### updateSQLXML

    public void updateSQLXML(String arg0,
                             SQLXML arg1)
                      throws SQLException

  Specified by:
    `updateSQLXML` in interface `ResultSet`
  Throws:
    `SQLException`

### getObject

    public <T> T getObject(String columnLabel,
                           Class<T> type)
                throws SQLException

  Throws:
    `SQLException`

### getObject

    public <T> T getObject(int columnIndex,
                           Class<T> type)
                throws SQLException

  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.